<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/fragment_favorite"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_marginLeft="@dimen/margin_medium"
    android:layout_marginRight="@dimen/margin_medium"
    android:animateLayoutChanges="@bool/animate_layout_change"
    android:background="@color/clr_grey2" >

    <LinearLayout
        android:id="@+id/fragment_favorite_choice"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentTop="true"
        android:layout_marginLeft="@dimen/margin_medium"
        android:layout_marginRight="@dimen/margin_medium"
        android:layout_marginTop="@dimen/margin_medium"
        android:gravity="center_horizontal" >

        <Button
            android:id="@+id/fragment_favorite_station"
            style="@android:style/TextAppearance.Medium"
            android:layout_width="0dp"
            android:layout_height="@dimen/button_favorite"
            android:layout_weight="1"
            android:background="@drawable/selector_blue_favorite_dark"
            android:clickable="true"
            android:gravity="center"
            android:text="@string/fragment_favorite_radio"
            android:textColor="@android:color/white" />

        <Button
            android:id="@+id/fragment_favorite_category"
            style="@android:style/TextAppearance.Medium"
            android:layout_width="0dp"
            android:layout_height="@dimen/button_favorite"
            android:layout_weight="1"
            android:background="@drawable/selector_blue_favorite"
            android:clickable="true"
            android:gravity="center"
            android:text="@string/fragment_favorite_category"
            android:textColor="@android:color/white" />
    </LinearLayout>

    <View
        android:id="@+id/shadow_bot1"
        android:layout_width="match_parent"
        android:layout_height="2dp"
        android:layout_below="@+id/fragment_favorite_choice"
        android:layout_marginLeft="@dimen/margin_medium"
        android:layout_marginRight="@dimen/margin_medium"
        android:background="@color/clr_grey3" />

    <ListView
        android:id="@+id/fragment_favorite_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/shadow_bot1"
        android:clipToPadding="false"
        android:divider="@color/clr_trans_grey"
        android:dividerHeight="1px"
        android:overScrollMode="never"
        android:paddingLeft="@dimen/margin_medium"
        android:paddingRight="@dimen/margin_medium"
        android:paddingTop="@dimen/margin_medium"
        android:scrollbarStyle="outsideOverlay" >
    </ListView>

    <ViewStub
        android:id="@+id/fragment_favorite_stubnofavorite"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:inflatedId="@+id/fragment_favorite_viewnofavorite"
        android:layout="@layout/view_no_favorite" />

</RelativeLayout>